# Class NetUtils

java.lang.Object
org.apache.zookeeper.common.NetUtils

public class NetUtils extends Object
This class contains common utilities for netstuff. Like printing IPv6 literals correctly

## Constructor Summary

Constructors
Constructor
Description
`NetUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`formatInetAddr(InetSocketAddress addr)`
Prefer using the hostname for formatting, but without requesting reverse DNS lookup.
`static String[]`
`getIPV6HostAndPort(String hostPort)`
Separates host and port from given host port string if host port string is enclosed within square bracket.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NetUtils

public NetUtils()

## Method Details

### formatInetAddr

public static String formatInetAddr(InetSocketAddress addr)
Prefer using the hostname for formatting, but without requesting reverse DNS lookup. Fall back to IP address if hostname is unavailable and use [] brackets for IPv6 literal.

### getIPV6HostAndPort

public static String[] getIPV6HostAndPort(String hostPort)
Separates host and port from given host port string if host port string is enclosed within square bracket.

Parameters:
  `hostPort` - host port string
Returns:
  String[]{host, port} if host port string is host:port or String[] {host, port:port} if host port string is host:port:port or String[] {host} if host port string is host or String[]{} if not a ipv6 host port string.